<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'StagesDevopsLifeCycleCTA',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>
<template>
  <section
    class="sdl-cta slp-mb-64 slp-mt-96"
    :class="{
      'sdl-cta--no-image': !data.image,
      'no-margin-bottom': data.no_margin_bottom,
    }"
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
  >
    <SlpRow>
      <SlpColumn
        :cols="data.image ? 6 : 12"
        class="slp-flex slp-align-items-center"
      >
        <div
          class="sdl-cta__body"
          :class="{ 'sdl-cta__body--no-image': !data.image }"
        >
          <div>
            <SlpTypography
              tag="h1"
              variant="heading1"
              :class="{ 'sdl-cta__title-image': !data.image }"
            >
              {{ data.title }}
            </SlpTypography>
            <SlpTypography tag="h2" variant="heading3" class="subtitle">{{
              data.subtitle
            }}</SlpTypography>
            <SlpTypography
              v-if="data.body_text"
              tag="p"
              variant="body1"
              class="sdl-cta__body--text"
            >
              {{ data.body_text }}
            </SlpTypography>
          </div>
          <SlpTypography v-if="data.tag_line" tag="p" class="slp-mb-24">{{
            data.tag_line
          }}</SlpTypography>
        </div>
      </SlpColumn>
      <SlpColumn
        v-if="data.image"
        :cols="6"
        class="slp-flex slp-align-items-center"
      >
        <nuxt-img
          class="cta__image"
          :src="data.image.image_url"
          :alt="data.image.alt"
          loading="lazy"
          format="webp"
          quality="99"
        />
      </SlpColumn>
    </SlpRow>
  </section>
</template>

<style lang="scss" scoped>
.sdl-cta {
  margin-bottom: $spacing-64;
  @media (max-width: $breakpoint-md) {
    margin-top: 0;
    margin-bottom: $spacing-96;
  }

  &.no-margin-bottom {
    margin-bottom: 0;
  }

  &__body {
    h1 {
      font-size: $text-heading-2;

      @media (max-width: $breakpoint-md) {
        font-size: $text-heading-1-mobile;
      }
    }
    h3 {
      font-size: $text-heading-3;

      @media (max-width: $breakpoint-md) {
        font-size: $text-heading-2-mobile;
        text-align: center;
        margin-bottom: $spacing-16;
      }
    }
    &--no-image {
      display: flex;
      flex-direction: column;
      justify-content: center;
      width: 100%;
    }

    &--text {
      margin-top: $spacing-24;

      @media (min-width: $breakpoint-md) {
        margin-top: 24px;
      }
    }
  }

  &__title-image {
    position: relative;
    display: block;
  }
}

.cta__company-icon {
  height: 19px;
}

.cta__image {
  max-height: 362px;
  max-width: 100%;
}

.subtitle {
  margin-top: $spacing-16;
}
</style>
